Skip to main content
GET
/
projects
/
{projectIdOrName}
/
integrations
/
{integrationId}
/
installations
/
{installationId}
/
objects
/
{objectName}
/
backfill-progress
Get backfill progress
curl --request GET \
  --url https://api.withampersand.com/v1/projects/{projectIdOrName}/integrations/{integrationId}/installations/{installationId}/objects/{objectName}/backfill-progress \
  --header 'X-Api-Key: <api-key>'
{
  "installationId": "66438162-5299-4669-a41d-85c5a3b1a83e",
  "objectName": "contact",
  "operationId": "3efc0f0f-4bb9-498f-996c-9893d98ca4b5",
  "recordsProcessed": 1250,
  "recordsEstimatedTotal": 5000,
  "createTime": "2025-02-13T10:00:00Z",
  "updateTime": "2025-02-13T10:05:00Z"
}

Authorizations

X-Api-Key
string
header
required

Path Parameters

projectIdOrName
string
required

The Ampersand project ID or project name.

integrationId
string
required

The Ampersand integration ID.

installationId
string
required

The Ampersand installation ID.

objectName
string
required

Name of the object being synced (e.g., "contact", "account").

Response

Backfill progress for the object

installationId
string
required

The installation ID.

objectName
string
required

The object being synced (e.g., contact, account).

operationId
string
required

The ID of the backfill operation.

recordsProcessed
integer
required

The number of records processed so far. Updates as more records are read during the backfill.

Example:

1250

recordsEstimatedTotal
integer

The estimated total number of records to process. Only present for Salesforce and HubSpot; other connectors omit this field.

Example:

5000

createTime
string<date-time>

When the backfill operation started.

updateTime
string<date-time>

When progress was last updated.